--------------------------------------------------------------------------------
--- Globals
--------------------------------------------------------------------------------
Global("knownBuffs", { })
--------------------------------------------------------------------------------
--- REACTIONS
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
--- Functions
--------------------------------------------------------------------------------
function IsWStringInTable(table, wstring)
  for k, v in table do
    if common.CompareWStringEx(k, wstring) == 0 then
      return true
    end
  end
  return false
end

function UpdateValueByWString(table, wstring, value)
  for k, v in table do
    if common.CompareWString(k, wstring) == 0 then
      table[k] = value
      return
    end
  end
  table[wstring] = value
end

function SearchImageByBuffName(name)
  for k, v in knownBuffs do
    if common.CompareWStringEx(k, name) == 0 then
      return v
    end
  end
  return nil
end

--------------------------------------------------------------------------------
--- INITIALIZATION
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
